<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.municipality.home.title">Municipalities</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-municipality" [routerLink]="['/municipality/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.municipality.home.createLabel">
            Create a new Municipality
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="municipalities?.length === 0">
        <span jhiTranslate="tfsBackendApp.municipality.home.notFound">No municipalities found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="municipalities && municipalities.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.municipality.name">Name</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.municipality.governorate">Governorate</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let municipality of municipalities ;trackBy: trackId">
                    <td><a [routerLink]="['/municipality', municipality.id, 'view']">{{ municipality.id }}</a></td>
                    <td>{{ municipality.name }}</td>
                    <td>
                        <div *ngIf="municipality.governorateId">
                            <a [routerLink]="['/governorate', municipality.governorateId , 'view']" >{{ municipality.governorateId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/municipality', municipality.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/municipality', municipality.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(municipality)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
